{
  "private": true,
  "scripts": {
    "check-dependencies": "scripts/frontend/check_dependencies.sh",
    "block-dependencies": "node scripts/frontend/block_dependencies.js",
    "check:startup_css": "scripts/frontend/startup_css/startup_css_changed.sh",
    "clean": "rm -rf public/assets tmp/cache/*-loader",
    "dev-server": "NODE_OPTIONS=\"--max-old-space-size=3584\" node scripts/frontend/webpack_dev_server.js",
    "file-coverage": "scripts/frontend/file_test_coverage.js",
    "lint-docs": "scripts/lint-doc.sh",
    "internal:eslint": "eslint --cache --max-warnings 0 --report-unused-disable-directives --ext .js,.vue",
    "internal:stylelint": "stylelint -q '{ee/,}app/assets/stylesheets/**/*.{css,scss}'",
    "prejest": "yarn check-dependencies",
    "jest": "jest --config jest.config.js",
    "jest-debug": "node --inspect-brk node_modules/.bin/jest --runInBand",
    "jest:integration": "jest --config jest.config.integration.js",
    "jsdoc": "jsdoc -c config/jsdocs.config.js",
    "prekarma": "yarn check-dependencies",
    "karma": "BABEL_ENV=${BABEL_ENV:=karma} karma start --single-run true config/karma.config.js",
    "karma-coverage": "BABEL_ENV=coverage karma start --single-run true config/karma.config.js",
    "karma-start": "BABEL_ENV=karma karma start config/karma.config.js",
    "lint:eslint": "yarn run internal:eslint",
    "lint:eslint:fix": "yarn run internal:eslint --fix",
    "lint:eslint:all": "yarn run internal:eslint .",
    "lint:eslint:all:fix": "yarn run lint:eslint:all --fix",
    "lint:eslint:report": "yarn run internal:eslint --format html --output-file ./eslint-report.html --no-inline-config .",
    "lint:eslint:staged": "scripts/frontend/execute-on-staged-files.sh internal:eslint '(js|vue)'",
    "lint:eslint:staged:fix": "yarn run lint:eslint:staged --fix",
    "lint:prettier": "yarn run prettier --check '**/*.{graphql,js,vue}'",
    "lint:prettier:fix": "yarn run prettier --write '**/*.{graphql,js,vue}'",
    "lint:prettier:staged": "scripts/frontend/execute-on-staged-files.sh prettier '(graphql|js|vue)' --check",
    "lint:prettier:staged:fix": "scripts/frontend/execute-on-staged-files.sh prettier '(graphql|js|vue)' --write",
    "lint:stylelint": "stylelint '{ee/,}app/assets/stylesheets/**/*.{css,scss}'",
    "lint:stylelint:fix": "yarn run lint:stylelint --fix",
    "lint:stylelint:staged": "scripts/frontend/execute-on-staged-files.sh stylelint '(css|scss)' -q",
    "lint:stylelint:staged:fix": "yarn run lint:stylelint:staged --fix",
    "generate:startup_css": "scripts/frontend/startup_css/setup.sh && node scripts/frontend/startup_css/main.js",
    "generate:startup_css:full": "scripts/frontend/startup_css/setup.sh force && node scripts/frontend/startup_css/main.js",
    "markdownlint": "markdownlint --config .markdownlint.yml",
    "markdownlint:no-trailing-spaces": "markdownlint --config doc/.markdownlint/markdownlint-no-trailing-spaces.yml",
    "markdownlint:no-trailing-spaces:fix": "yarn run markdownlint:no-trailing-spaces --fix",
    "postinstall": "node ./scripts/frontend/postinstall.js",
    "storybook:install": "yarn --cwd ./storybook install",
    "storybook:build": "yarn --cwd ./storybook build",
    "storybook:start": "yarn --cwd ./storybook start",
    "stylelint-create-utility-map": "node scripts/frontend/stylelint/stylelint-utility-map.js",
    "webpack": "NODE_OPTIONS=\"--max-old-space-size=3584\" webpack --config config/webpack.config.js",
    "webpack-vendor": "NODE_OPTIONS=\"--max-old-space-size=3584\" webpack --config config/webpack.vendor.config.js",
    "webpack-prod": "NODE_OPTIONS=\"--max-old-space-size=3584\" NODE_ENV=production webpack --config config/webpack.config.js"
  },
  "dependencies": {
    "@babel/core": "^7.10.1",
    "@babel/plugin-proposal-class-properties": "^7.10.1",
    "@babel/plugin-proposal-json-strings": "^7.10.1",
    "@babel/plugin-proposal-private-methods": "^7.10.1",
    "@babel/plugin-syntax-import-meta": "^7.10.1",
    "@babel/preset-env": "^7.10.1",
    "@gitlab/at.js": "1.5.7",
    "@gitlab/favicon-overlay": "2.0.0",
    "@gitlab/svgs": "1.211.0",
    "@gitlab/tributejs": "1.0.0",
    "@gitlab/ui": "32.2.1",
    "@gitlab/visual-review-tools": "1.6.1",
    "@rails/actioncable": "6.1.3-2",
    "@rails/ujs": "6.1.3-2",
    "@sentry/browser": "5.26.0",
    "@sourcegraph/code-host-integration": "0.0.59",
    "@tiptap/core": "^2.0.0-beta.86",
    "@tiptap/extension-blockquote": "^2.0.0-beta.14",
    "@tiptap/extension-bold": "^2.0.0-beta.14",
    "@tiptap/extension-bullet-list": "^2.0.0-beta.14",
    "@tiptap/extension-code": "^2.0.0-beta.14",
    "@tiptap/extension-code-block-lowlight": "2.0.0-beta.32",
    "@tiptap/extension-document": "^2.0.0-beta.12",
    "@tiptap/extension-dropcursor": "^2.0.0-beta.17",
    "@tiptap/extension-gapcursor": "^2.0.0-beta.18",
    "@tiptap/extension-hard-break": "^2.0.0-beta.14",
    "@tiptap/extension-heading": "^2.0.0-beta.14",
    "@tiptap/extension-history": "^2.0.0-beta.14",
    "@tiptap/extension-horizontal-rule": "^2.0.0-beta.17",
    "@tiptap/extension-image": "^2.0.0-beta.14",
    "@tiptap/extension-italic": "^2.0.0-beta.14",
    "@tiptap/extension-link": "^2.0.0-beta.18",
    "@tiptap/extension-list-item": "^2.0.0-beta.13",
    "@tiptap/extension-ordered-list": "^2.0.0-beta.14",
    "@tiptap/extension-paragraph": "^2.0.0-beta.15",
    "@tiptap/extension-strike": "^2.0.0-beta.16",
    "@tiptap/extension-subscript": "^2.0.0-beta.4",
    "@tiptap/extension-superscript": "^2.0.0-beta.4",
    "@tiptap/extension-table": "^2.0.0-beta.25",
    "@tiptap/extension-table-cell": "^2.0.0-beta.13",
    "@tiptap/extension-table-header": "^2.0.0-beta.15",
    "@tiptap/extension-table-row": "^2.0.0-beta.13",
    "@tiptap/extension-task-item": "^2.0.0-beta.17",
    "@tiptap/extension-task-list": "^2.0.0-beta.17",
    "@tiptap/extension-text": "^2.0.0-beta.12",
    "@tiptap/vue-2": "^2.0.0-beta.39",
    "@toast-ui/editor": "^2.5.2",
    "@toast-ui/vue-editor": "^2.5.2",
    "apollo-cache-inmemory": "^1.6.6",
    "apollo-client": "^2.6.10",
    "apollo-link": "^1.2.14",
    "apollo-link-batch-http": "^1.2.14",
    "apollo-link-http": "^1.5.17",
    "apollo-upload-client": "^13.0.0",
    "autosize": "^4.0.2",
    "aws-sdk": "^2.637.0",
    "axios": "^0.20.0",
    "babel-loader": "^8.2.2",
    "babel-plugin-lodash": "^3.3.4",
    "bootstrap": "4.5.3",
    "cache-loader": "^4.1.0",
    "clipboard": "^1.7.1",
    "codemirror": "^5.48.4",
    "codesandbox-api": "0.0.23",
    "compression-webpack-plugin": "^5.0.2",
    "copy-webpack-plugin": "^6.4.1",
    "core-js": "^3.16.2",
    "cron-validator": "^1.1.1",
    "cropper": "^2.3.0",
    "css-loader": "^2.1.1",
    "d3": "^5.16.0",
    "d3-sankey": "^0.12.3",
    "d3-selection": "^1.2.0",
    "dateformat": "^4.5.1",
    "deckar01-task_list": "^2.3.1",
    "diff": "^3.4.0",
    "dompurify": "^2.3.1",
    "dropzone": "^4.2.0",
    "editorconfig": "^0.15.3",
    "emoji-regex": "^7.0.3",
    "emoji-unicode-version": "^0.2.1",
    "fast-mersenne-twister": "1.0.2",
    "file-loader": "^6.2.0",
    "fuzzaldrin-plus": "^0.6.0",
    "graphql": "^15.4.0",
    "graphql-tag": "^2.11.0",
    "immer": "^7.0.7",
    "ipaddr.js": "^1.9.1",
    "jed": "^1.1.1",
    "jquery": "^3.6.0",
    "jquery.caret": "^0.3.1",
    "jquery.waitforimages": "^2.2.0",
    "js-cookie": "^2.2.1",
    "js-yaml": "^3.13.1",
    "jszip": "^3.1.3",
    "jszip-utils": "^0.0.2",
    "katex": "^0.13.2",
    "lodash": "^4.17.20",
    "lowlight": "^1.20.0",
    "marked": "^0.3.12",
    "mathjax": "3",
    "mermaid": "^8.10.2",
    "minimatch": "^3.0.4",
    "monaco-editor": "^0.25.2",
    "monaco-editor-webpack-plugin": "^4.0.0",
    "monaco-yaml": "^2.5.1",
    "mousetrap": "1.6.5",
    "papaparse": "^5.3.1",
    "pdfjs-dist": "^2.0.943",
    "pikaday": "^1.8.0",
    "popper.js": "^1.16.1",
    "portal-vue": "^2.1.7",
    "prismjs": "^1.21.0",
    "prosemirror-inputrules": "^1.1.3",
    "prosemirror-markdown": "^1.5.1",
    "prosemirror-model": "^1.13.3",
    "prosemirror-state": "^1.3.4",
    "prosemirror-tables": "^1.1.1",
    "raphael": "^2.2.7",
    "raw-loader": "^4.0.2",
    "scrollparent": "^2.0.1",
    "select2": "3.5.2-browserify",
    "smooshpack": "^0.0.62",
    "sortablejs": "^1.10.2",
    "sql.js": "^0.4.0",
    "string-hash": "1.1.3",
    "style-loader": "^2.0.0",
    "swagger-ui-dist": "^3.44.1",
    "three": "^0.84.0",
    "three-orbit-controls": "^82.1.0",
    "three-stl-loader": "^1.0.4",
    "timeago.js": "^4.0.2",
    "tiptap": "^1.32.1",
    "tiptap-extensions": "^1.35.1",
    "url-loader": "^4.1.1",
    "uuid": "8.1.0",
    "visibilityjs": "^1.2.4",
    "vue": "^2.6.12",
    "vue-apollo": "^3.0.3",
    "vue-loader": "^15.9.6",
    "vue-observe-visibility": "^1.0.0",
    "vue-resize": "^1.0.1",
    "vue-router": "3.4.9",
    "vue-template-compiler": "^2.6.12",
    "vue-virtual-scroll-list": "^1.4.7",
    "vuedraggable": "^2.23.0",
    "vuex": "^3.6.0",
    "web-vitals": "^0.2.4",
    "webpack": "^4.46.0",
    "webpack-bundle-analyzer": "^4.4.2",
    "webpack-cli": "^3.3.12",
    "webpack-stats-plugin": "^0.3.1",
    "worker-loader": "^2.0.0",
    "xterm": "3.14.5"
  },
  "devDependencies": {
    "@babel/plugin-transform-modules-commonjs": "^7.10.1",
    "@gitlab/eslint-plugin": "9.0.2",
    "@gitlab/stylelint-config": "2.3.0",
    "@testing-library/dom": "^7.16.2",
    "@vue/test-utils": "1.2.0",
    "acorn": "^6.3.0",
    "axios-mock-adapter": "^1.15.0",
    "babel-jest": "^26.5.2",
    "babel-plugin-dynamic-import-node": "^2.3.3",
    "babel-plugin-istanbul": "^6.0.0",
    "chalk": "^2.4.1",
    "cheerio": "^1.0.0-rc.9",
    "commander": "^2.20.3",
    "custom-jquery-matchers": "^2.1.0",
    "docdash": "^1.0.2",
    "eslint": "7.31.0",
    "eslint-import-resolver-jest": "3.0.0",
    "eslint-import-resolver-webpack": "0.13.1",
    "eslint-plugin-jasmine": "4.1.2",
    "eslint-plugin-no-jquery": "2.6.0",
    "gettext-extractor": "^3.5.3",
    "gettext-extractor-vue": "^5.0.0",
    "glob": "^7.1.6",
    "istanbul-lib-coverage": "^3.0.0",
    "istanbul-lib-report": "^3.0.0",
    "istanbul-reports": "^3.0.0",
    "jasmine-core": "^2.9.0",
    "jasmine-diff": "^0.1.3",
    "jasmine-jquery": "^2.1.1",
    "jest": "^26.5.2",
    "jest-canvas-mock": "^2.1.2",
    "jest-environment-jsdom": "^26.5.2",
    "jest-junit": "^12.0.0",
    "jest-raw-loader": "^1.0.1",
    "jest-transform-graphql": "^2.1.0",
    "jest-util": "^26.5.2",
    "jsdoc": "^3.5.5",
    "jsdoc-vue": "^1.0.0",
    "karma": "^4.2.0",
    "karma-chrome-launcher": "^3.0.0",
    "karma-coverage-istanbul-reporter": "^2.1.0",
    "karma-jasmine": "^1.1.2",
    "karma-junit-reporter": "^1.2.0",
    "karma-mocha-reporter": "^2.2.5",
    "karma-sourcemap-loader": "^0.3.7",
    "karma-webpack": "^4.0.2",
    "markdownlint-cli": "0.26.0",
    "md5": "^2.2.1",
    "miragejs": "^0.1.40",
    "mock-apollo-client": "^0.7.0",
    "nodemon": "^2.0.4",
    "postcss": "^7.0.14",
    "prettier": "2.2.1",
    "prosemirror-schema-basic": "^1.1.2",
    "prosemirror-test-builder": "^1.0.4",
    "purgecss": "^4.0.3",
    "purgecss-from-html": "^4.0.3",
    "readdir-enhanced": "^2.2.4",
    "sass": "^1.32.12",
    "timezone-mock": "^1.0.8",
    "vue-jest": "4.0.1",
    "webpack-dev-server": "^3.11.2",
    "xhr-mock": "^2.5.1",
    "yarn-check-webpack-plugin": "^1.2.0",
    "yarn-deduplicate": "^3.1.0"
  },
  "blockedDependencies": {
    "bootstrap-vue": "https://docs.gitlab.com/ee/development/fe_guide/dependencies.html#bootstrapvue"
  },
  "resolutions": {
    "chokidar": "^3.4.0"
  },
  "engines": {
    "node": ">=12.22.1",
    "yarn": "^1.10.0"
  }
}
